[<text>
<title>moelx &lt;molx.o&gt;, &lt;dubilier plc&gt; sign agreement</title>
<dateline>    lisle, ill, june 29 - </dateline>molex inc said it signed a
distribution and share-purchase agreement with dubilier plc, of
abingdon, oxon, england.
    under the agreement, molex will sell dubilier's products
worldwide and receive 2.1 mln ordinary shares in dubilier at a
price of two british pounds, or 3.22 u.s. dlrs, a share.
    the shares, which represent 6.39 pct of the existing issued
share capital of dubilier, will be issued under a u.k.
subscription agreement that restricts molex from disposing of
the shares and from increasing its holding above 9.9 pct for
two years.
 reuter
</text>]